# archery

from models.loots.armor import Armor
from models.loots.weapon import Weapon
from models.heroes.hero import Hero


class Archery(Hero):

    def __init__(
        self,
        name: str,
        description: str,
        HP: int,
        attack_power: int,
        defense: int,
        armor: Armor = None,
        weapon: Weapon = None,
    ) -> None:
        super().__init__(
            name, description, HP, attack_power, defense, Hero.ARCHERY, armor, weapon
        )

    def get_type_str(self) -> str:
        return "Archery"
